{
  lib,
  buildPythonPackage,
  fetchFromGitHub,
  setuptools,
  setuptools-scm,
  wheel,
  gitpython,
  cmake,
  ninja,
  pkg-config
}:

buildPythonPackage rec {
  pname = "cmake-build-extension";
  version = "0.6.1";
  pyproject = true;

  src = fetchFromGitHub {
    owner = "diegoferigo";
    repo = "cmake-build-extension";
    rev = "v${version}";
    hash = "sha256-taAwxa7Sv+xc8xJRnNM6V7WPcL+TWZOkngwuqjAslzc=";
  };

  # nativeBuildInputs = [ cmake ];
  # buildInputs = [ cmake ninja ];
  dontUseCmakeConfigure = true;

  propagatedBuildInputs = [ gitpython ];

  build-system = [
    cmake
    ninja
    setuptools
    setuptools-scm
    wheel
  ];

  pythonImportsCheck = [
    "cmake_build_extension"
  ];

  meta = {
    description = "Setuptools extension to build and package CMake projects";
    homepage = "https://github.com/diegoferigo/cmake-build-extension";
    license = lib.licenses.mit;
    maintainers = with lib.maintainers; [ ];
  };
}
