{
  lib,
  buildPythonPackage,
  fetchFromGitHub,
  setuptools,
  wheel,
}:

buildPythonPackage rec {
  pname = "coremltools";
  version = "8.0";
  pyproject = true;

  src = fetchFromGitHub {
    owner = "apple";
    repo = "coremltools";
    rev = version;
    hash = "sha256-nMrOtG8kAvz7DxYcf2Dh5f65zbTPSuUfoU7XL2Cx1Aw=";
  };

  build-system = [
    setuptools
    wheel
  ];

  pythonImportsCheck = [
    "coremltools"
  ];

  meta = {
    description = "Core ML tools contain supporting tools for Core ML model conversion, editing, and validation";
    homepage = "https://github.com/apple/coremltools";
    license = lib.licenses.bsd3;
    maintainers = with lib.maintainers; [ ];
  };
}
