{
  lib,
  buildPythonPackage,
  fetchFromGitHub,
  cython,
  numpy,
  setuptools,
}:

buildPythonPackage rec {
  pname = "lap";
  version = "0.5.12";
  pyproject = true;

  src = fetchFromGitHub {
    owner = "gatagat";
    repo = "lap";
    rev = "v${version}";
    hash = "sha256-ktLwdeb7UWhdihOhdeYIi6Geyp7aJsVPPec22MtI9Jo=";
  };

  build-system = [
    cython
    numpy
    setuptools
  ];

  pythonImportsCheck = [
    "lap"
  ];

  meta = {
    description = "Linear Assignment Problem solver (LAPJV/LAPMOD";
    homepage = "https://github.com/gatagat/lap";
    license = lib.licenses.bsd2;
    maintainers = with lib.maintainers; [ ];
  };
}
