{
  lib,
  buildPythonPackage,
  fetchFromGitHub,
  setuptools,
  wheel,
  numpy,
  pycocotools,
  pyyaml,
}:

buildPythonPackage rec {
  pname = "pybboxes";
  version = "0.2.0";
  pyproject = true;

  src = fetchFromGitHub {
    owner = "devrimcavusoglu";
    repo = "pybboxes";
    rev = version;
    hash = "sha256-3JP6gLm62Atq8RJYb4AMPUcGyzyrXMG/ayqvMCNk9g8=";
  };

  build-system = [
    setuptools
    wheel
  ];

  dependencies = [
    numpy
    pycocotools
    pyyaml
  ];

  doCheck = false;

  pythonImportsCheck = [
    "pybboxes"
  ];

  meta = {
    description = "Light weight toolkit for bounding boxes providing conversion between bounding box types and simple computations";
    homepage = "https://github.com/devrimcavusoglu/pybboxes";
    license = lib.licenses.mit;
    maintainers = with lib.maintainers; [ ];
  };
}
