{
  lib,
  buildPythonPackage,
  fetchFromGitHub,
  setuptools,
  wheel,
  click,
  fire,
  numpy,
  opencv-python,
  pillow,
  pybboxes,
  pyyaml,
  requests,
  shapely,
  terminaltables,
  tqdm,
}:

buildPythonPackage rec {
  pname = "sahi";
  version = "0.11.20";
  pyproject = true;

  src = fetchFromGitHub {
    owner = "obss";
    repo = "sahi";
    rev = version;
    hash = "sha256-TFphsF55El32siGdE1WJLnyVXGfaE32Nttvdcy/oqk0=";
  };

  build-system = [
    setuptools
    wheel
  ];

  dependencies = [
    click
    fire
    numpy
    opencv-python
    pillow
    pybboxes
    pyyaml
    requests
    shapely
    terminaltables
    tqdm
  ];

  pythonImportsCheck = [
    "sahi"
  ];

  meta = {
    description = "Framework agnostic sliced/tiled inference + interactive ui + error analysis plots";
    homepage = "https://github.com/obss/sahi";
    license = lib.licenses.mit;
    maintainers = with lib.maintainers; [ ];
  };
}
