{
  lib,
  stdenv,
  fetchFromGitLab,
  cmake,
}:

stdenv.mkDerivation rec {
  pname = "tiny-process-library";
  version = "2.0.4";

  src = fetchFromGitLab {
    owner = "eidheim";
    repo = "tiny-process-library";
    rev = "v${version}";
    hash = "sha256-ntg0e3Ox5swCoimZG6gwpD2eKKFQx5+vXq77cK+wT1Y=";
  };

  nativeBuildInputs = [
    cmake
  ];

  meta = {
    description = "A small platform independent library making it simple to create and stop new processes in C++, as well as writing to stdin and reading from stdout and stderr of a new process";
    homepage = "https://gitlab.com/eidheim/tiny-process-library";
    license = lib.licenses.mit;
    maintainers = with lib.maintainers; [ ];
    mainProgram = "tiny-process-library";
    platforms = lib.platforms.all;
  };
}
