{
  lib,
  stdenv,
  fetchFromGitHub,
  cmake,
}:

stdenv.mkDerivation rec {
  pname = "ycm-cmake-modules";
  version = "0.18.1";

  src = fetchFromGitHub {
    owner = "robotology";
    repo = "ycm-cmake-modules";
    rev = "v${version}";
    hash = "sha256-7kmXvFrb4HFZyie5FurYeChCEivfkxBe+X5bYXirQqc=";
  };

  nativeBuildInputs = [
    cmake
  ];

  meta = {
    description = "YCM (YCM CMake modules) is a collection of various useful CMake modules";
    homepage = "https://github.com/robotology/ycm-cmake-modules";
    changelog = "https://github.com/robotology/ycm-cmake-modules/blob/${src.rev}/CHANGELOG.md";
    license = lib.licenses.unfree; # FIXME: nix-init did not find a license
    maintainers = with lib.maintainers; [ ];
    mainProgram = "ycm-cmake-modules";
    platforms = lib.platforms.all;
  };
}
