{
  lib,
  buildPythonPackage,
  fetchFromGitHub,
  setuptools,
  wheel,
  numpy,
  torch,
}:

buildPythonPackage rec {
  pname = "thop";
  version = "2.0.13";
  pyproject = true;

  src = fetchFromGitHub {
    owner = "ultralytics";
    repo = "thop";
    rev = "v${version}";
    hash = "sha256-VgHRDXKRZjCE8RR+77GgTGiXeq5e1Bo4l4N72DMRc+s=";
  };

  build-system = [
    setuptools
    wheel
  ];

  dependencies = [
    numpy
    setuptools
    torch
  ];

  pythonImportsCheck = [
    "thop"
  ];

  meta = {
    description = "Profile PyTorch models for FLOPs and parameters, helping to evaluate computational efficiency and memory usage";
    homepage = "https://github.com/ultralytics/thop";
    license = lib.licenses.agpl3Only;
    maintainers = with lib.maintainers; [ ];
  };
}
